<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        const num_f = +prompt("Введите первое чисоло: ", "");
        const num_s = +prompt("Введите второе число: ", "");
        const opr = prompt("Введите знак операции(+, -, *, /): ", "");


        const add = (a = 0, b = 0) => {
            return a + b;
        }

        const multiply = (a = 0, b = 0) => {
            return a * b;
        }

        const degree = (a = 0, b = 0) => {
            if(a === 0 || b === 0) {
                console.error("Делить на 0 нельзя!");
            }
        }

        const subtrack = (a = 0, b = 0) => {
            return a - b;
        }

        function calculate(num_f, num_s, opr) {
            if(arguments.length < 3 || arguments.length > 3) {
                return console.error("В функцию можно передать только 3 аргумента.");
            }

            switch (opr) {
                case "+":
                    console.log(num_f + " + " + num_s + " = " + add(num_f, num_s));
                    break;
                case "*":
                    console.log(num_f + " * " + num_s + " = " + multiply(num_f, num_s));
                    break;
                case "/":
                    console.log(num_f + " / " + num_s + " = " + degree(num_f, num_s));
                    break;
                case "-":
                    console.log(num_f + " - " + num_s + " = " + subtrack(num_f, num_s));
                    break;
                default:
                    console.log("Такой операции не знаю :/");
                    console.error("Операция - " + opr + "не была найдена!");
                    break;
            }
        }

        calculate(num_f, num_s, opr);
    </script>
</body>
</html>
